
  %MACRO update_tracking_tbl_fl_lev(updt_tbl_name_fl_lev_in=
                                                              ,updt_tbl_name_fl_lev_c_in=
													          ,tracking_tbl_fl_lev_out=
                                                              );

   %PUT;
   %PUT -----   Start of the macro update_tracking_tbl_fl_lev;
   %PUT;

		%LOCAL updt_tbl_name_fl_lev_a;

 %IF  %LENGTH(&tracking_tbl_fl_lev_out.) =0 
  %THEN %LET tracking_tbl_fl_lev_out=infolder.&RunID._track_tbl_fl_lev;

	    /* Initialize tracking table for a given &RunID*/
    %IF &iter_nb.=1 AND &step_nb.=1 %THEN 
							%DO;	
	   DATA &tracking_tbl_fl_lev_out.;
	    SET &updt_tbl_name_fl_lev_in.; 
	  RUN;

	   PROC SORT DATA=&tracking_tbl_fl_lev_out.;
	    BY DP_CD MSREQID RUNID ITER_NB STEP_NB DIR_NM_SH FILE_NM;
	   RUN;

	                         %END;
	 %ELSE 
	 						  %DO;

%IF %LENGTH(&updt_tbl_name_fl_lev_c_in.) >0  %THEN  
                     %DO;							  
 PROC SORT DATA=&updt_tbl_name_fl_lev_c_in.; 
	 BY DP_CD MSREQID RUNID ITER_NB STEP_NB DIR_NM_SH FILE_NM;
 RUN;

   PROC DATASETS NOWARN NOLIST;
      DELETE _track_tbl_updt_a;
	RUN;

 DATA _track_tbl_fl_lev_updt_a(SORTEDBY=DP_CD MSREQID RUNID ITER_NB STEP_NB DIR_NM_SH FILE_NM)	;
   	 SET &updt_tbl_name_fl_lev_c_in.
			&updt_tbl_name_fl_lev_in. 
	   	     ;
	  BY DP_CD MSREQID RUNID ITER_NB STEP_NB DIR_NM_SH FILE_NM;
 RUN;

		%LET updt_tbl_name_fl_lev_a=_track_tbl_fl_lev_updt_a;
					%END;

  %ELSE  	%LET updt_tbl_name_fl_lev_a=&updt_tbl_name_fl_lev_in.;  

 
DATA &tracking_tbl_fl_lev_out.;
	UPDATE &tracking_tbl_fl_lev_out.
					&updt_tbl_name_fl_lev_a.(IN=INCUR)			   
		 ;
	  BY DP_CD MSREQID RUNID ITER_NB STEP_NB DIR_NM_SH FILE_NM;
	  
	   CURR_STEP_IN=(INCUR=1);	 
RUN;
							  %END;
  %PUT;
   %PUT -----   End of the macro update_tracking_tbl_fl_lev;
   %PUT;

  %MEND;