 /* usage  %modify_colnames(tbl_name=WORK.PAT_YR_ENROLL_MED_RX_SUM,var_lst=ASTH_MED,prefix=,suffix=_RXFILL); */

%MACRO modify_colnames(tbl_name=,var_lst=,prefix=,suffix=);

  %LOCAL pos libref tbl_name rename_names;

  %IF %LENGTH(&tbl_name.) >0 %THEN
           %DO;
     %LET pos=%INDEX(&tbl_name.,.);
    %PUT pos=&pos.;
  %IF &pos.=0 %THEN %LET libref=; 
  %ELSE %DO; %LET libref=LIB %STR(=) %UPCASE(%SUBSTR(&tbl_name.,1,%EVAL(&pos-1))) ; %END;
  %LET tbl_name_sh=%UPCASE(%SUBSTR(&tbl_name.,%EVAL(&pos.+1)));
    		   %END;

  DATA  _NULL_;
      LENGTH rename_names new_names_str $ 5000;
       RETAIN rename_names new_names_str;
	   ARRAY var_lst &var_lst;
	   DO I=1 TO DIM(var_lst);
		rename_names=TRIM(LEFT(rename_names)) ||
                " " ||
                 TRIM(LEFT(VNAME(var_lst{i}))) ||
                 "=" ||
                "&prefix." || TRIM(LEFT(VNAME(var_lst{i}) )) || "&suffix.";
		 	new_names_str=      STRIP(new_names_str) ||
                               " " ||   "&prefix." || TRIM(LEFT(VNAME(var_lst{i}) )) || "&suffix.";
	   END;
	CALL SYMPUT ('rename_names',TRIM(LEFT(rename_names))) ;
	CALL SYMPUT ('_new_names_str',TRIM(LEFT(new_names_str))) ;

RUN;

 %IF %LENGTH(&tbl_name.) >0 %THEN
           %DO;
PROC DATASETS &libref. NOLIST;
    MODIFY &tbl_name_sh.;
      RENAME &rename_names.;
  RUN;
  QUIT;
			  %END;

 %MEND;